// HiDPI mixin. Default value set to 1.3 to target Google Nexus 7 (http://bjango.com/articles/min-device-pixel-ratio/)
@mixin retina($ratio: 1.3) {
	@media only screen and (-webkit-min-device-pixel-ratio: $ratio), only screen and (min--moz-device-pixel-ratio: $ratio), only screen and (-o-min-device-pixel-ratio: #{$ratio}/1), only screen and (min-resolution: round($ratio * 96dpi)), only screen and (min-resolution: $ratio * 1dppx) {
		@content;
	}
}

$asset-pipeline: false !default;

@mixin retina-image($filename, $background-size, $extension: png, $retina-filename: null, $retina-suffix: '@2x', $asset-pipeline: $asset-pipeline) {
	//@include _bourbon-deprecate("retina-image");
	@if $asset-pipeline {
		background-image: image-url("#{$filename}.#{$extension}");
	}
	@else {
		background-image: url("#{$filename}.#{$extension}");
	}
	@include retina {
		@if $asset-pipeline {
			@if $retina-filename {
				background-image: image-url("#{$retina-filename}.#{$extension}");
			}
			@else {
				background-image: image-url("#{$filename}#{$retina-suffix}.#{$extension}");
			}
		}
		@else {
			@if $retina-filename {
				background-image: url("#{$retina-filename}.#{$extension}");
			}
			@else {
				background-image: url("#{$filename}#{$retina-suffix}.#{$extension}");
			}
		}
		background-size: $background-size;
	}
}